%define upstream_name    Term-Screen
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple all-Perl Term::Cap based screen positioning module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::Cap)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Term::Screen is a very simple screen positioning module that should
work wherever C<Term::Cap> does. It is set up for Unix using stty's but
these dependences are isolated by evals in the C<new> constructor. Thus
you may create a child module implementing Screen with MS-DOS, ioctl,
or other means to get raw and unblocked input. This is not a replacement
for Curses -- it has no memory.  This was written so that it could be
easily changed to fit nasty systems, and to be available first thing.

The input functions getch, key_pressed, echo, and noecho are implemented
so as to work under a fairly standard Unix system. They use 'stty'
to set raw and no echo modes and turn on auto flush. All of these are
'eval'ed so that this class can be inherited for new definitions easily.

Term::Screen was designed to be "required", then used with object syntax
as shown above. One quirk (which the author was used to so he didn't
care) is that for function key translation, no delay is set. So for many
terminals to get an esc character, you have to hit another char after it,
generally another esc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests seems to be interactive only
#%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/Term
%_mandir/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1506227
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-2.mga7
+ Revision: 1286408
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 1.60.0-1.mga7
+ Revision: 1134201
- update to 1.06

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-3.mga6
+ Revision: 1033999
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.50.0-2.mga6
+ Revision: 968020
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.50.0-1.mga6
+ Revision: 851116
- update to 1.05

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 746226
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 686385
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 514974
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 373314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 23384
- cleaning spec file
- imported package perl-Term-Screen


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 405542
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.03-7mdv2009.0
+ Revision: 258509
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.03-6mdv2009.0
+ Revision: 246525
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-4mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-4mdv2008.0
+ Revision: 86966
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-3mdv2007.0
- rewrite spec file

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.03-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
    - URL
- use mkrel

* Sun May 29 2005 Lev Givon <lev@columbia.edu> 1.03-1mdk
- Adapted cpan2rpm-generated spec for Mandrake.

